Il futuro dell'estrazione delle informazioni - Partecipa al progetto TUC 2024! ✨ 15-16 febbraio, di persona e online. Ottieni il tuo biglietto >>

Versione sbagliata di JAVA su Mac

  • Dopo aver aperto il file di comando sul Mac, Transkribus dice che è installata una versione sbagliata di Java (1.6.0.65) invece della 1.7. Tuttavia, è installata la versione più recente di Java RE (1.8.0.66).
    • Il problema è che Java 1.6.0.65 è il Java predefinito sulla linea di comando che il comando Transkribus.command usa. Puoi controllare la versione di default aprendo il terminale e digitando 'java -version'.
    • Per risolvere il problema puoi scaricare l'ultimo jdk come pacchetto .tar.gz da qui:

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

e aprendolo nella cartella Transkribus - il file Transkribus.command controllerà automaticamente le installazioni di java nelle sue sub directories!

  • Oppure puoi rendere la vostra installazione di java 8 quella predefinita sulla linea di comando seguendo per esempio queste istruzioni:

http://myshittycode.com/2014/03/17/mac-os-x-setting-default-java-version/